tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mladen Turk" <mt...@apache.org>
Subject RE: jk2 buglets
Date Tue, 02 Mar 2004 13:11:14 GMT
 

> -----Original Message-----
> From: Greg.Cope@pfizer.com
> > > Assuming that the next mod_jk2 release wants to go with 
> the present 
> > > APR
> > > (0.94) or even the CVS (pre 1.0?) then we need to kludge 
> mod_jk on 
> > > solaris 8 (at least) to not use APR for this bit.
> > > 
> > 
> > No it's gonna be 0.95 (the one distributed with httpd-2.0.48)
> 
> This has yet to be released as a standalone package (latest 
> is 0.94) CVS version number is now up to 1.0.
> 
> Where does that leave Apache 1.3 users?
> 

Yes, I forgot that.
0.95 for Apache2 and 0.94 for the 1.3.

> 
> Can we not add a !define to exclude using APR for the shm on 
> solaris, until APR is fixed?
> 

You can do that during building APR, so apr.h will lack the APR_HAS_SHMEM
and the jk2_shm will not be compiled.
No need to put that in the jk2.
One might compile the apr from CVS, which might work.

MT.


---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-dev-help@jakarta.apache.org


Mime
View raw message